מטפלי התראות
GET https://tistos.com/api/notification-handlers/
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| פרמטרים | פרטים | תיאור |
|---|---|---|
| search | אופציונלי מיתר | מילת החיפוש. |
| search_by | אופציונלי מיתר | באיזה תחום אתה מחפש. ערכים מותרים הם: name. |
| is_enabled | אופציונלי בוליאני | |
| type | אופציונלי מיתר | באיזה תחום אתה מחפש. ערכים מותרים הם: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | אופציונלי מיתר | ערכים מותרים: datetime, last_datetime |
| datetime_start | אופציונלי מיתר | סנן תוצאות החל מתאריך ושעה אלה. פורמט Y-m-d H:i:s. |
| datetime_end | אופציונלי מיתר | סנן תוצאות עד לתאריך ושעה אלה. פורמט Y-m-d H:i:s. |
| order_by | אופציונלי מיתר | באיזה תחום לסדר את התוצאות. ערכים מותרים הם: notification_handler_id, datetime, last_datetime, name. |
| order_type | אופציונלי מיתר | סדר התוצאות. ערכים מותרים הם: ASC לסדר עולה, וDESC לסדר יורד. |
| search | אופציונלי מיתר | מילת החיפוש. |
| search_by | אופציונלי מיתר | באיזה תחום אתה מחפש. ערכים מותרים הם: name. |
| is_enabled | אופציונלי בוליאני | |
| type | אופציונלי מיתר | באיזה תחום אתה מחפש. ערכים מותרים הם: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat. |
| datetime_field | אופציונלי מיתר | ערכים מותרים: datetime, last_datetime |
| datetime_start | אופציונלי מיתר | סנן תוצאות החל מתאריך ושעה אלה. פורמט Y-m-d H:i:s. |
| datetime_end | אופציונלי מיתר | סנן תוצאות עד לתאריך ושעה אלה. פורמט Y-m-d H:i:s. |
| order_by | אופציונלי מיתר | באיזה תחום לסדר את התוצאות. ערכים מותרים הם: notification_handler_id, datetime, last_datetime, name. |
| order_type | אופציונלי מיתר | סדר התוצאות. ערכים מותרים הם: ASC לסדר עולה, וDESC לסדר יורד. |
| page | אופציונלי שלם | מספר העמוד שממנו אתה רוצה תוצאות. ברירת מחדל היא 1. |
| results_per_page | אופציונלי שלם | כמה תוצאות אתה רוצה לכל עמוד. ערכים מותרים הם: 10, 25, 50, 100, 250, 500, 1000. ברירת המחדל היא 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:08",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/notification-handlers?page=1",
"last": "https://tistos.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/notification-handlers?page=1"
}
}
GET https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 12:45:08",
}
}
POST https://tistos.com/api/notification-handlers
| פרמטרים | פרטים | תיאור |
|---|---|---|
| name | נדרש מיתר | - |
| type | נדרש מיתר | ערכים מותרים: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| אופציונלי מיתר | זמין כאשר: type = email אימייל | |
| webhook | אופציונלי מיתר | זמין כאשר: type = webhook כתובת URL של webhook |
| slack | אופציונלי מיתר | זמין כאשר: type = slack כתובת URL של Slack webhook |
| discord | אופציונלי מיתר | זמין כאשר: type = discord כתובת URL של Discord webhook |
| telegram | אופציונלי מיתר | זמין כאשר: type = telegram אסימון API של Telegram |
| telegram_chat_id | אופציונלי מיתר | זמין כאשר: type = telegram מזהה צ'אט של Telegram |
| microsoft_teams | אופציונלי מיתר | זמין כאשר: type = microsoft_teams כתובת URL של Microsoft Teams webhook |
| google_chat | אופציונלי מיתר | זמין כאשר: type = google_chat כתובת URL של webhook של Google Chat |
| x_consumer_key | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_consumer_secret | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_access_token | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_access_token_secret | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://tistos.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/notification-handlers/{notification_handler_id}
| פרמטרים | פרטים | תיאור |
|---|---|---|
| name | אופציונלי מיתר | - |
| type | אופציונלי מיתר | ערכים מותרים: email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat |
| אופציונלי מיתר | זמין כאשר: type = email אימייל | |
| webhook | אופציונלי מיתר | זמין כאשר: type = webhook כתובת URL של webhook |
| slack | אופציונלי מיתר | זמין כאשר: type = slack כתובת URL של Slack webhook |
| discord | אופציונלי מיתר | זמין כאשר: type = discord כתובת URL של Discord webhook |
| telegram | אופציונלי מיתר | זמין כאשר: type = telegram אסימון API של Telegram |
| telegram_chat_id | אופציונלי מיתר | זמין כאשר: type = telegram מזהה צ'אט של Telegram |
| microsoft_teams | אופציונלי מיתר | זמין כאשר: type = microsoft_teams כתובת URL של Microsoft Teams webhook |
| google_chat | אופציונלי מיתר | זמין כאשר: type = google_chat כתובת URL של webhook של Google Chat |
| x_consumer_key | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_consumer_secret | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_access_token | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| x_access_token_secret | אופציונלי מיתר | זמין כאשר: type = x אסימון API של Telegram |
| is_enabled | אופציונלי בוליאני | - |
curl --request POST \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \